geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: CXF 2.0.7 for G 2.1.2? - [Fwd: Re: Re: Re: Using WS-Security with Geronimo 2.1.1]
Date Tue, 15 Jul 2008 00:57:46 GMT

Was 2.0.6 OK or did it have the same TCK issues?

Dan


On Jul 14, 2008, at 4:21 PM, Joe Bohn wrote:

> FWIW, I did a quick check with CXF 2.0.7 and hit some issues with  
> the TCK tests under Geronimo.  There must be some Geronimo changes  
> necessary for this upgrade.  We'll hold-off upgrading to 2.0.7 for  
> 2.1.2 unless someone has a chance to look into the tck issues before  
> out branch.
>
> Joe
>
>
> Joe Bohn wrote:
>> Should we be considering CXF 2.0.7 for Geronimo 2.1.2? Does anybody  
>> know of specific reasons to move to 2.0.7 or hold at 2.0.6?
>> Joe
>> Reference this portion of post by Dan Kulp on the user list:
>> -------- Original Message --------
>> Subject: Re: Re: Re: Using WS-Security with Geronimo 2.1.1
>> Date: Tue, 8 Jul 2008 11:10:07 -0700 (PDT)
>> From: Daniel Kulp <dkulp@apache.org>
>> Reply-To: user@geronimo.apache.org
>> To: user@geronimo.apache.org
>> References: <OFFAC5A3FD.692CBA0E-ONC1257474.003F56EE- 
>> C1257474.0042914C@LocalDomain> <add18bc80806260712t4eccb9c9o7fbff28562162d13@mail.gmail.com

>> > <OF80AFEB70.45376D71-ONC1257475.002E6337- 
>> C1257475.002F5E5C@LocalDomain> <add18bc80806270624h403fda54i6a107b4d3eb80012@mail.gmail.com

>> > <OF48817414.1A6C6BC0-ONC1257475.005266C9- 
>> C1257475.00530092@LocalDomain> <e92248920806271230o74e5682du9900158114989c8f@mail.gmail.com

>> > <435270830806300402x4edb9cb0tdedfc4c0f0badd6d@mail.gmail.com> <e92248920807010231u4add2d83n5f93a9000a0eac6e@mail.gmail.com

>> >
>> Geronimo pretty much includes just the parts of CXF that are needed  
>> to pass
>> the JAX-WS parts of the TCK.   It doesn't include the "extra"  
>> things like
>> ws-addressing, ws-security, ws-rm, aegis databinding, etc....     
>> Geronimo
>> didn't need them so they didn't pull them in.
>> When adding the jar like that, keep in mind that you may need other
>> dependencies like wss4j, xml-sec, etc.. that ws-security requires  
>> that might
>> not be shipped with Geronimo.
>> One thing to keep in mind is that the CXF ws-security  
>> implementation (and
>> the Axis2/Rampart implementation as well) is based on WSS4J which  
>> isn't up
>> to WS-Security 1.1 level yet.   Some of the profiles it supports  
>> are "close"
>> to 1.1 levels, but for the most part, it's 1.0.   A note to the  
>> wss4j dev
>> list (wss4j-dev@ws.apache.org) would probably a good start to  
>> figure out
>> what wss4j supports.
>> That said, it would be great if Geronimo could update to CXF 2.0.7
>> (non-incubator) for a 2.1.2 release.
>> <snip/>
>

---
Daniel Kulp
dkulp@apache.org
http://www.dankulp.com/blog





Mime
View raw message